Page MenuHomePhabricator

Allow tap gesture inside Wikipedia preview gallery to view images in focus mode.
Closed, ResolvedPublic

Description

Background

One of the nice features a gallery can have is to let users view the images in focus mode and fade out other information. In Wikipedia preview gallery a tap gesture on an image would fade out image description and attribution information and let user view the image in focus mode.

this is how a tap gesture work inside the android app gallery.

Solution

Enable a single tap interaction which have gallery open in focus mode. Other gestures(swipe right / left) still remain active.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2020, 7:09 AM
SGautam_WMF updated the task description. (Show Details)Sep 9 2020, 7:10 AM
AMuigai moved this task from Backlog to Q2-2020 on the Inuka-Team board.Sep 28 2020, 11:32 AM
SBisson moved this task from Q2-2020 to Kanban on the Inuka-Team board.Oct 5 2020, 7:16 PM
SBisson edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
AMuigai triaged this task as Medium priority.Oct 14 2020, 1:27 PM
SGautam_WMF updated the task description. (Show Details)Oct 21 2020, 1:55 PM
eamedina claimed this task.Nov 3 2020, 1:36 AM
eamedina moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.
eamedina moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Nov 5 2020, 2:37 PM
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Dec 1 2020, 7:15 PM
SBisson added a subscriber: SBisson.

The PR is merged

Jpita added a subscriber: Jpita.

when I go on focus mode, I can't zoom in on the image, when I try to zoom in I swipe left or right to the other images.
this is not the expected behaviour if we take as an example both the mobile web version of wikipedia or the commons mobile web.
shall we change it or it will stay like this?

when I go on focus mode, I can't zoom in on the image, when I try to zoom in I swipe left or right to the other images.
this is not the expected behaviour if we take as an example both the mobile web version of wikipedia or the commons mobile web.
shall we change it or it will stay like this?

Zooming was not the point of this task so I would suggest moving to design sign off but I agree it is a very natural thing to do and an expectation for many people. Can we create a new task for it?

when I go on focus mode, I can't zoom in on the image, when I try to zoom in I swipe left or right to the other images.
this is not the expected behaviour if we take as an example both the mobile web version of wikipedia or the commons mobile web.
shall we change it or it will stay like this?

Zooming was not the point of this task so I would suggest moving to design sign off but I agree it is a very natural thing to do and an expectation for many people. Can we create a new task for it?

https://phabricator.wikimedia.org/T269787

AMuigai closed this task as Resolved.Dec 10 2020, 11:20 AM